# Install tmux
#
class tmux {

    if $::operatingsystem != "OpenBSD" {
        package { "tmux":
            ensure => installed,
            before => File["/etc/tmux.conf"],
        }
    }

    file { "/etc/tmux.conf":
        ensure => present,
        mode   => "0644",
        owner  => "root",
        group  => $::operatingsystem ? {
            "openbsd" => "wheel",
            default   => "root",
        },
        source => "puppet:///modules/tmux/tmux.conf",
    }

}
